summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2016-02-13 02:04:38 -0500
committerMike Frysinger <vapier@gentoo.org>2016-02-13 02:05:05 -0500
commitf80b5c9be202beafd2d52a7e60a60b9a3183f094 (patch)
treef2d4d1a020306efb916a205fa077012a81e9db1d
parentdev-ruby/twitter: add 5.16.0 (diff)
downloadgentoo-f80b5c9be202beafd2d52a7e60a60b9a3183f094.tar.gz
gentoo-f80b5c9be202beafd2d52a7e60a60b9a3183f094.tar.bz2
gentoo-f80b5c9be202beafd2d52a7e60a60b9a3183f094.zip
dev-perl/IO-Socket-SSL: version bump to 2.24.0 #573916
-rw-r--r--dev-perl/IO-Socket-SSL/IO-Socket-SSL-2.24.0.ebuild30
-rw-r--r--dev-perl/IO-Socket-SSL/Manifest1
2 files changed, 31 insertions, 0 deletions
diff --git a/dev-perl/IO-Socket-SSL/IO-Socket-SSL-2.24.0.ebuild b/dev-perl/IO-Socket-SSL/IO-Socket-SSL-2.24.0.ebuild
new file mode 100644
index 00000000000..815be7afdc7
--- /dev/null
+++ b/dev-perl/IO-Socket-SSL/IO-Socket-SSL-2.24.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+MODULE_AUTHOR=SULLR
+MODULE_VERSION=2.024
+inherit perl-module
+
+DESCRIPTION="Nearly transparent SSL encapsulation for IO::Socket::INET"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="idn"
+
+RDEPEND="
+ >=dev-perl/Net-SSLeay-1.330.0
+ virtual/perl-Scalar-List-Utils
+ idn? (
+ || (
+ >=dev-perl/URI-1.50
+ dev-perl/Net-LibIDN
+ )
+ )"
+DEPEND="${RDEPEND}
+ virtual/perl-ExtUtils-MakeMaker
+"
+
+SRC_TEST="do"
diff --git a/dev-perl/IO-Socket-SSL/Manifest b/dev-perl/IO-Socket-SSL/Manifest
index e71cd7c8b02..74ec9909da8 100644
--- a/dev-perl/IO-Socket-SSL/Manifest
+++ b/dev-perl/IO-Socket-SSL/Manifest
@@ -2,3 +2,4 @@ DIST IO-Socket-SSL-1.953.tar.gz 89807 SHA256 4fa57c9385999e942a1f296b9f45c387a78
DIST IO-Socket-SSL-1.967.tar.gz 97036 SHA256 d9ee42bf667ac92732e8c35d3930757fad6b8996d24a5e5b8eeb6250ba411299 SHA512 4705fa2d641030ad10d5d2f7e1a7aecac6da8b06c3b19c13c3c8d1396a91332e829c3d211a29d3db2d8d1db57d413a03db90df43f231169be335fcc728e28358 WHIRLPOOL 03c3d6e15b9a3c6808d94d27fc53bc6960ea0e2d68cc2d3689a1cd587b8aaacb3092146254deb0386e2608463e0535fced7c7ddffeb3eb3bded00442a74b497e
DIST IO-Socket-SSL-1.998.tar.gz 187327 SHA256 73c976ec288341f5ab30305590658b563a91f1af1ec3c3f531adbb434741711c SHA512 5faab280ab2d7ecef348ce70382302d482478aacb6e3e3d36b8c805e4d4446bbc924ea257c039f76be16f1fc29ff1f832d67bc4a7ed1bc535e329179c3ac6148 WHIRLPOOL b43b3f4f536583c63eb9f89761c341cd62e32cd2b6bd518d7a0831076b0b7145e97e10b296290205c9394bcbb17eae196c91e7e66d31d54e65faff4cf6d910e1
DIST IO-Socket-SSL-2.012.tar.gz 193636 SHA256 02bd7f17ceb492e396eca6627f50aaa2a3ddfcb5bfa3889ddf145383b0b179d9 SHA512 b77e89ec83ff78e59d8f11fde9f268ae47cc1a090338c3d17855cb6043120b9ce29867e297e5b7b83c0c98af37b9672826748b21f75dea50beecc7deb5a9f1ae WHIRLPOOL 4d4464c9807ed1a971c6aca7663130de2ee0df37af88ee5cada7fff43f0eb8d211e5a3afb3c33c37d2d46c2852718bdd83266a60e04298a32ea9494dc3df30ac
+DIST IO-Socket-SSL-2.024.tar.gz 209567 SHA256 dab3125b004b24ff8dfc003aa81c00c0f976a1bc34a75e1d8d9de9de837ce6c9 SHA512 b76c43efbffba031b72efebc9f5348eb24ea1d48704e61c2256c0a23a754fb786cad23d7a330884f526ed31fc2878e27f4114793afa8135cc0caf8f251c07c3c WHIRLPOOL 37ae14c700a21a89fad3ca653925e07272d51a2f4ecee2a5342909d49491f42b3d3ee6e318fbb5d6a02ead1479916a6775e48f61cb3722d9526795482ae5ee58